## GESOperationClip GESOperationClip — Base Class for operations in a GESLayer |

## Types and Values

| GESOperationClip

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GESTimelineElement
                ╰── GESContainer
                    ╰── GESClip
                        ╰── GESOperationClip
                            ├── GESOverlayClip
                            ├── GESBaseTransitionClip
                            ╰── GESBaseEffectClip

## Implemented Interfaces

GESOperationClip implements GESExtractable and GESMetaContainer.

## Includes

    #include <ges/ges.h>

## Description

Operations are any kind of object that both outputs AND consumes data.

## Functions

## Types and Values

### GESOperationClip

    typedef struct _GESOperationClip GESOperationClip;

The GESOperationClip subclass. Subclasses can access these fields.